# Copyright (c) 2007 Herbert Graeber
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to herbert@links2linux.de

# norootforbuild
%define	pkgname Trac
Name:           trac
Version:        0.12.5
Release:        1.2
Summary:        Integrated scm, wiki, issue tracker and project environment
Summary(de):    Eine integrierte SCM-, Wiki-, Bugtracker- und Projektumgebung
Group:          Development/Libraries
License:        Modified BSD
URL:            http://trac.edgewall.com
Source0:        http://ftp.edgewall.com/pub/trac/%{pkgname}-%{version}.tar.bz2
Source1:	tracd.init
Source2:	tracd.sysconfig
Source3:	trac.conf
Source4:	README.SUSE.html
Source5:        trac.ini
Patch1:         trac-auth.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq
PreReq:         %fillup_prereq
PreReq: 	python >= 2.4
BuildRequires:	python >= 2.4 python-devel
Requires:       subversion-python
Requires:       python-devel
Requires:       python-clearsilver
BuildRequires:	apache2
BuildRequires:  subversion-python
BuildRequires:  python-devel
BuildRequires:  python-clearsilver
BuildRequires:  sqlite
BuildRequires:  python-setuptools
Requires:	python-setuptools
BuildRequires:	python-genshi >= 0.6
Requires:	python-genshi >= 0.6
Requires:       python-sqlite >= 2.0.7
BuildRequires:  python-sqlite >= 2.0.7

%description
Trac is a minimalistic web-based software project management and bug/issue
tracking system. It provides an interface to the Subversion revision control
systems, an integrated wiki, flexible issue tracking and convenient report
facilities.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p0
cp %{S:4} .

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --quiet --root %{buildroot} --prefix %{_prefix}
install -D -m 0755 %{S:1} %{buildroot}/etc/init.d/tracd
install -d -m 0755 %{buildroot}/usr/sbin
ln -s ../../etc/init.d/tracd %{buildroot}/usr/sbin/rctracd
install -D -m 0700 %{S:2} %{buildroot}/var/adm/fillup-templates/sysconfig.tracd
install -d -m 0755 %{buildroot}/srv/trac
install -D -m 0644 %{S:3} %{buildroot}/etc/apache2/conf.d/trac.conf
install -D %{S:5} %{buildroot}%{_sysconfdir}/trac/trac.ini
install -d -m 0755 %{buildroot}%{_datadir}/trac

%pre
# save the trac.ini from /usr/share/trac/conf if it exists...
if [ "$1" -ge 2 ]; then
  if [ \! -e %{_sysconfdir}/trac/trac.ini -a -r %{_datadir}/trac/conf/trac.ini ]; then
    if [ \! -e %{_sysconfdir}/trac ]; then mkdir %{_sysconfdir}/trac; fi
    mv %{_datadir}/trac/conf/trac.ini %{_sysconfdir}/trac/trac.ini.backup
  fi
fi

%preun
%stop_on_removal tracd

%postun
%restart_on_update tracd
%insserv_cleanup

%post
# ... and save it as new try.ini in /etc/trac.ini if this doesn't exist
if [ "$1" -ge 2 ]; then
  if [ -r %{_sysconfdir}/trac/trac.ini.backup ]; then
    mv %{_sysconfdir}/trac/trac.ini %{_sysconfdir}/trac/trac.ini.rpmnew
    mv %{_sysconfdir}/trac/trac.ini.backup %{_sysconfdir}/trac/trac.ini
  fi
fi
%{fillup_only -n tracd}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL README README.SUSE.html RELEASE THANKS UPGRADE contrib
%{_bindir}/*
%{_datadir}/trac
%dir %{_sysconfdir}/trac
%config(noreplace) %{_sysconfdir}/trac/trac.ini
%{py_sitedir}/trac
%{py_sitedir}/Trac-%{version}-py%{py_ver}.egg-info
%dir %{py_sitedir}/tracopt
%{py_sitedir}/tracopt/__init__.py*
%dir %{py_sitedir}/tracopt/mimeview
%{py_sitedir}/tracopt/mimeview/__init__.py*
%{py_sitedir}/tracopt/mimeview/enscript.py*
%{py_sitedir}/tracopt/mimeview/php.py*
%dir %{py_sitedir}/tracopt/perm
%{py_sitedir}/tracopt/perm/__init__.py*
%{py_sitedir}/tracopt/perm/authz_policy.py*
%{py_sitedir}/tracopt/perm/config_perm_provider.py*
%dir %{py_sitedir}/tracopt/ticket
%{py_sitedir}/tracopt/ticket/__init__.py*
%{py_sitedir}/tracopt/ticket/commit_updater.py*
%{py_sitedir}/tracopt/ticket/deleter.py*
%dir %{py_sitedir}/tracopt/ticket/templates
%{py_sitedir}/tracopt/ticket/templates/ticket_delete.html
%attr(-,wwwrun,www) /srv/trac
/etc/init.d/tracd
/usr/sbin/rctracd
/var/adm/fillup-templates/sysconfig.tracd
%config(noreplace) /etc/apache2/conf.d/trac.conf

%changelog
* Thu Mar  7 2013 cs@linux-administrator.com
- update to version 0.12.5
* Tue Oct  2 2012 cs@linux-administrator.com
- update to version 0.12.4
* Sun Aug  5 2012 cs@linux-administrator.com
- update to version 0.12.3
* Fri Feb 25 2011 cs@linux-administrator.com
- update to version 0.12.2
